'use strict';

/* ex : const request = require('xxxx'); */
//const request = require('request');

exports.handler = async event => {
  /* Riiiver Side Process */
  if (event.call === 'lambda') {
    console.log('CALLED:LAMBDA');
    /* ex : if ( xxxx !== null ){} // xxxx : Generated instance */
    //if (request !== null) { }
    return;
  }

  let output = {
    status: 200,
    body: {
      /* Your PieceJson Output */
      diceNumber: -1
    }
  };
  /* basic variable */
  // const date = event.userData.date;					//Executed iiidea Time
  // const languageCode = event.userData.languageCode; //Executed device's settings
  // const countryCode = event.userData.countryCode;   //Executed device's settings
  /* Your PieceJson preferences */
  const diceShape = event.properties.preferences.diceShape; // number (default : 6) 6, 8, 12 
	/* Your Code */
	output.body.diceNumber = Math.floor(Math.random() * diceShape) + 1; // 0 <= Math.random() < 1
  /* output */
  return output;
};